import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { JsonSymbologyLabelsBackgroundShadow } from 'src/modules/vmap/components/models/json-symbology/json-symbology-label.model';

@Component({
  selector: 'app-label-shadow-background',
  templateUrl: './label-shadow-background.component.html',
  styleUrls: ['./label-shadow-background.component.scss']
})
export class LabelShadowBackgroundComponent implements OnInit {

  @Input() oField: JsonSymbologyLabelsBackgroundShadow;
  @Input() sAttribut: string;
  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyLabelsBackgroundShadow> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();
  @Input() sXYPattern: string;
  constructor() { }

  ngOnInit(): void {
  }

}
