import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { JsonSymbologyLabelsShadow } from 'src/app/modules/vmap/models/json-symbology/json-symbology-label.model';

@Component({
  selector: 'app-label-shadow',
  templateUrl: './label-shadow.component.html',
  styleUrls: ['./label-shadow.component.scss']
})
export class LabelShadowComponent implements OnInit {

  @Input() oField: JsonSymbologyLabelsShadow;
  @Input() sAttribut: string;
  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyLabelsShadow> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();
  @Input() sXYPattern: string;
  constructor() { }

  ngOnInit(): void {
  }

}
