import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { JsonSymbologyStylesSymbolOffset } from 'src/modules/vmap/components/models/json-symbology/json-symbology-style.model';

@Component({
  selector: 'app-symbol-offset',
  templateUrl: './symbol-offset.component.html',
  styleUrls: ['./symbol-offset.component.scss']
})
export class SymbolOffsetComponent implements OnInit {

  @Input() oField: JsonSymbologyStylesSymbolOffset;
  @Input() sAttribut: string;
  @Input() sXYPattern: string;

  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyStylesSymbolOffset> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();

  constructor() { }

  ngOnInit(): void {
  }

}
