import { Component, Input, OnInit, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-layer-symbology-form-opacity',
  templateUrl: './layer-symbology-form-opacity.component.html',
  styleUrls: ['./layer-symbology-form-opacity.component.scss']
})
export class LayerSymbologyFormOpacityComponent implements OnInit {

  @Input() public value: any;
  @Input() public min: any;
  @Input() public max: any;
  @Input() public step: any;
  @Input() public label: any;

  @Output() changeVal = new EventEmitter<string>();

  constructor() { }

  ngOnInit(): void {
    this.value = this.value ? this.value : 1;
    this.min = this.min ? this.min : 0;
    this.max = this.max ? this.max : 1;
    this.step = this.step ? this.step : 0.01;
  }
}
