<?php

namespace App\Module\Vitis\WebService\EventListener;

/**
 * Container for all Vits ORM events.
 *
 * This class cannot be instantiated.
 *
 * @author Anthony Borghi <anthony.borghi@veremes.com>
 */

final class VitisEvents {

  /**
   * Private constructor. This class is not meant to be instantiated.
   */
  private function __construct() {}

  /**
   * The preNormalization event occurs for a given entity before the denormalization.
   *
   * @var string
   */
  public const preDenormalization = 'preDenormalization';

}