import { vmapAPIVmapWebService } from './vmap.struct.api';
import { vmapConfigVmapObject } from './vmap.struct.config';
import { vmapAdminDatasourceObject, vmapMapsLayersMode, vmapSymbolsFontsMode, vmapMapPrintingsMode, vmapUsersSection, vmapFluxMode } from './vmap.struct.admin';
import { vmapAdminCartoObject } from './vmap.struct.carto';
import { vmapCartoWidget, vmapPrintWidget } from './vmap.struct.widget';

/**
 * Config translate vMap
 */
const vmapTranslateConfig: any = {
  prefix: 'modules/vmap/lang/',
  suffix: '.json'
};

export {
  vmapTranslateConfig,
  vmapConfigVmapObject,
  vmapAPIVmapWebService,
  vmapAdminDatasourceObject,
  vmapMapsLayersMode,
  vmapSymbolsFontsMode,
  vmapMapPrintingsMode,
  vmapAdminCartoObject,
  vmapPrintWidget,
  vmapCartoWidget,
  vmapUsersSection,
  vmapFluxMode,
};
