import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { DataGridComponent } from 'src/app/vitis/data-grid/data-grid.component';
import { TranslateModule } from '@ngx-translate/core';
import { BtnModalComponent } from './btn-modal/btn-modal.component';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

@NgModule({
  imports: [
    CommonModule,
    TranslateModule,
    FormsModule,
    ReactiveFormsModule
  ],
  declarations: [
    DataGridComponent,
    BtnModalComponent,
  ],
  exports: [
    DataGridComponent,
  ],
})
export class DataGridModule { }
