import { OnInit, Component, Input } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

@Component({
  selector: 'app-banner',
  templateUrl: './banner.component.html',
  styleUrls: ['./banner.component.scss']
})
export class BannerComponent implements OnInit {

  public mode: any;

  @Input() public sTitle: string;
  @Input() public sLogoPath: string;
  @Input() public sSubtitle: string;
  @Input() public sBackgroundImage: string;

  constructor(
    private route: ActivatedRoute
  ) {}

  ngOnInit() {
    // récupération du mode
    this.route.data.subscribe(mode => {
      this.mode = mode;
    });
  }

}