/**
 * constructor_form
 * Fonction lancée au chargement du formulaire
 * @param {object} scope Formreader
 * @param {object} env environment
 * @param {object} services
 * @returns {undefined} 
 */
var constructor_form = function (scope, env, services) {

  /**
   * Fonction appelée à l 'initialisation du formulaire
   * Permet de remplir les valeurs du formulaire
   * @return {boolean|promise}
   */
  scope.loadValues = function () {
    let oInfos = {
      "software": env.properties.application,
      "software_version": env.properties.version,
      "software_description": env.properties.app_description,
    }

    scope.setFormValues(oInfos);
    return true
  }
}